Apache C++ Standard Library Reference Guide

## uninitialized_fill_n()

Library: General utilities

    Function

- Local Index
- Summary
- Synopsis
- Description
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

A function that initializes elements within a memory range to a specified value

### Synopsis

    #include <memory>

    namespace std {
      template <class ForwardIterator, class Size, class T>
      void
      uninitialized_fill_n(ForwardIterator start, Size n,
                           const T& x);
    }

### Description

The algorithm `unitialized_fill_n()` starts at the iterator `start` and initializes the first `n` items to the value `x`, using placement new.

### See Also

`uninitialized_fill()`

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 20.4.4.3